/*
	GuidanceInterface.h

	Copyright: 		Department of Marine Technology, NTNU
	Author: 		Petter Norgren
	Date created: 	2016.09.09
*/

#pragma once

#include "ReconDriver.h"

class CGuidanceInterface
{
public:
	CGuidanceInterface() {};
	virtual ~CGuidanceInterface() {};

	virtual double getHeadingCommandRadians() { return 0.0; }
	virtual double getSpeedCommandMeterSec() { return 0.0; }
	virtual double getSpeedCommandRPM() { return 0.0; }
	virtual double getDepthCommandMeters() { return 0.0; }
	virtual double getAltitudeCommandMeters() { return 0.0; }
	virtual double getLatitudeCommandRadians() { return 0.0; }
	virtual double getLongitudeCommandRadians() { return 0.0; }
	virtual double getThrustCommandPercent() { return 0.0; }
	virtual double getRudderCommandPercent() { return 0.0; }
	virtual double getSternPlaneCommandPercent() { return 0.0; }

	virtual bool computeNewCommands(const ReconStatus_t &reconState) = 0;
};